#!/usr/local/bin/perl

#
# strings.pl
#

############################################################################
#
# Messages
#
############################################################################

$REQUEST_FAILED = "EPM0001E: There was an error processing the request.";
$REQUEST_FAILED_TITLE = "Request Failed";
$COMM_ERROR = "EPM0002E: There was a communication error.  Please, try again later.";
$COMM_ERROR_TITLE = "Communication Failure";

$INVALID_LOGIN = "EPM0006W: You entered an invalid UserName or Password.";
$INVALID_USER_ID = "EPM0007W: You entered an invalid User ID.";
$INVALID_PASSWORD = "EPM0008W: You entered an invalid password.";

$INVALID_COMMAND = "EPM0003E: An invalid command was sent.  Please, try again later.";
$INVALID_COMMAND_TITLE = "Invalid Command";

$MANDATORY_FIELDS = "EPM0035W: The following field(s) are mandatory:";

$RIGHTS_VIOLATION = "EPM0009W: You do not have permission to view the requested page.";
$RIGHTS_VIOLATION_TITLE = "Permission denied.";

$PASSWORD_INCORRECT = "EPM0010W: Unable to change the password because the old password is incorrect.";
$PASSWORD_SHORT = "EPM0011W: The new password must be at least five characters long.";
$PASSWORD_CONFIRM = "EPM0012W: The new and confirmed passwords do not match.";
$PASSWORD_FAILED_TITLE = "EPM0013W: Change Password Failed!";
$PASSWORD_CHANGED = "EPM0032I: Your password has been changed.";

$UNEXPECTED_ERROR = "EPM0004E: An unexpected error occurred.";
$UNEXPECTED_ERROR_TITLE= "Unexpected Error";

$SQL_ERROR = "EPM0014E: A SQL error occurred at the database.  Error code = <<SQL_ERROR_VAR>>";

$REQUEST_UPDATED = "EPM0033I: Problem Updated";

$NO_REQUEST_RET = "EPM0013I: No problems were returned.  Enter new search criteria, and try again.";

$NO_SOLUTIONS = "EPM0015I: No solutions were returned.";
$NO_HOME_PAGES = "EPM0016I: There are no home pages here.";

$NO_WORK_HISTORY = "EPM0017I: There is no Work History available for this problem.";
$NO_REQUEST_HISTORY = "EPM0018I: There is no Problem History available for this problem.";

$PROBLEM_SUBMITTED_SUCCESSFULLY = "EPM0034I: Problem submitted successfully";

$NO_PROBLEMS_FOUND = "EPM0019I: No problems were found.";

$VIEW_NOT_AUTHORIZED = "EPM0020W: You are not authorized to view problems.";

$SESSION_EXPIRED = "EPM0021I: This session has expired.  Please, login again.";

$HYPERNODE_DOES_NOT_EXIST = "EPM0022W: This Hypernode does not exist.  Please try your request again.";

$SUBMIT_REQUEST_FAILED = "EPM0005E: An error occurred while submitting your request.";

$ACCESS_ID_EXISTS = "EPM0023W: This User ID already exists.  Please use a different ID.";
$UNIQUE_NAME_FAILED = "EPM0024W: A person with the same First, Middle and Last Name already exists.  Change the name to make it unique.";
$NEW_USER_REG_SUCCESS = "EPM0025I: You have successfully registered.  Your password will arrive via email shortly.";
$USER_MODIFY_SUCCESS = "EPM0026I: Information has been updated successfully.";

$ANONYMOUS_LOGIN_FAILED = "EPM0027E: The anonymous login failed.  Please try again later.";
$ANONYMOUS_LOGIN_FAILED_TITLE = "Anonymous login failed.";

$REMINDER_SUCCESS = "EPM0028I: Your username and password have been found and are being sent to your email address.";
$REMINDER_INVALID_EMAIL = "EPM0029W: You have specified an email address which is not in our system.  Please try again, or contact your system administrator.";

$INVALID_ID_ERROR = "EPM0029E: An invalid ID was entered for your request.";
$KNOWLEDGE_RIGHT_ERROR = "EPM0030W: You do not have knowledge rights to view the page requested.";

$DATE_FORMAT_ERROR = "EPM0031W: You entered an invalid date format.";

############################################################################
#
# HTML Labels
#
############################################################################

$_PRODUCT_NAME        = "TPM End-User Web Interface";
$_STANDARD_SEPARATOR  = ":";
$_MANDATORY_CHARACTER = "*";

$SYSTEM            = "System";
$DESCRIPTION       = "Description";
$PROBLEM           = "Problem";
$PROBLEM_PL        = "Problems";
$PROBLEM_LC        = "problem";
$PROBLEM_PL_LC     = "problems";
$ADAPTIVE_LEARNING = "Match Description";
$COMMON_PROBLEMS   = "Frequently Asked Questions";
$HOT_NEWS          = "Hot News";
$ERROR_MESSAGES    = "Error Messages";
$HYPER_TREES       = "Step-by-Step";
$HOME_PAGES        = "Home Pages";
$HYPERNODE_LC      = "hypernode";
$SOLUTION          = "Solution";
$SOLUTION_PL       = "Solutions";
$SOLUTION_LC       = "solution";
$SOLUTION_PL_LC    = "solutions";
$ACTION            = "Action";
$ACTION_LC         = "action";
$QUESTION          = "Question";
$RESPONSE          = "Response";
$RESPONSE_PL       = "Responses";
$STATUS            = "Status";
$RESULT            = "Result";
$CONTACT           = "Contact";
$ORGANIZATION      = "Organization";
$ORGANIZATION_LC   = "organization";
$SUBMITTED         = "Submitted (GMT)";
$CLOSED            = "Closed (GMT)";
$DATE              = "Date";
$TIME              = "Time (GMT)";
$TYPE              = "Type";
$LOGIN             = "Login";
$LOGOUT            = "Logout";
$PASSWORD          = "Password";
$USER              = "User";
$NEXT              = "Next";
$PREVIOUS          = "Previous";
$PAGE              = "Page";
$HELP              = "Help";
$MAIN_MENU         = "Main Menu";
$MENU_OPTIONS      = "Menu Options";
$HOME_PAGE         = "Home Page";
$COMPANY_LOGO      = "Company Logo";
$SCORE             = "Score";
$CREATED           = "Created";
$SEARCH            = "Search";
$BEGIN_DATE        = "Begin Date";
$BEGIN_TIME        = "Begin Time (GMT)";
$END_DATE          = "End Date";
$END_TIME          = "End Time (GMT)";
$EMAIL_ADDRESS     = "Email Address";
$FIRST_NAME        = "First Name";
$MIDDLE_NAME       = "Middle Name";
$LAST_NAME         = "Last Name";
$PHONE_NUMBER      = "Phone Number";
$REGISTER          = "Register";


$PROBLEM_ID        = "$PROBLEM ID";
$USER_ID           = "$USER ID";
$PROBLEM_DETAILS   = "$PROBLEM Details";
$SOLVE_PROBLEM     = "Solve $PROBLEM";
$NO_RIGHTS         = "No Rights";
$SUBMIT_PROBLEM    = "Submit $PROBLEM";
$VIEW_PROBLEM      = "View $PROBLEM";
$SEARCH_PROBLEMS   = "Search $PROBLEM_PL";
$VIEW_PROBLEMS     = "View $PROBLEM_PL";
$VIEW_YOUR_PROBLEMS= "View Your $PROBLEM_PL";
$USER_CONFIGURATION= "$USER Configuration";
$FIND_SOLUTION     = "Find $SOLUTION";
$DIAGNOSTIC_RESULTS= "Diagnostic Results";
$PROBLEM_INQUIRY   = "$PROBLEM Inquiry";
$PROBLEM_HISTORY   = "$PROBLEM History";
$WORK_HISTORY      = "Work History";
$VIEW_PROBLEM_HISTORY = "View $PROBLEM_HISTORY";
$VIEW_WORK_HISTORY = "View $WORK_HISTORY";
$UPDATE_PROBLEM    = "Update $PROBLEM";
$PROBLEM_RESULT    = "Status/Result";
$USER_CONFIGURATION= "$USER Configuration";
$SAVE_CHANGES      = "Save Changes";
$OLD_PASSWORD      = "Old $PASSWORD";
$NEW_PASSWORD      = "New $PASSWORD";
$CONFIRM_NEW_PASSWORD = "Confirm $NEW_PASSWORD";
$CHANGE_PASSWORD   = "Change $PASSWORD";
$SUBMIT_EMAIL_ADDRESS = "Submit $EMAIL_ADDRESS";


$_SYSTEM_BOX_DEFAULT_VALUE      = "** Select a $SYSTEM **";
$_PROBLEMCODE_BOX_DEFAULT_VALUE = "** Select a $STATUS **";

$_PROBLEMS_MATCHED = "Number of $PROBLEM_PL_LC found$_STANDARD_SEPARATOR <B><<TOTAL_MATCHES_VAR>></B>";
$_DIAG_AIDS_MATCHED= "Number of aids found$_STANDARD_SEPARATOR <B><<TOTAL_MATCHES_VAR>></B>";
$_PAGE_NUMBER      = "$PAGE <<PAGE_NUMBER_VAR>> of <<TOTAL_PAGES_VAR>>";

$_LOGIN_HEADING              = "Registered $USER $LOGIN";
$_LOGIN_TITLE                = "$_PRODUCT_NAME $LOGIN";
$_LOGIN_REMINDER_LINK        = "Forget your <A HREF=\"<<SCRIPT_PATH>>/web_access.cgi?FUNC=DISP_REMINDER\">$USER_ID or $PASSWORD</A>?";
$_LOGIN_ANONYMOUS_LINK       = "Select <A HREF=\"<<SCRIPT_PATH>>/web_access.cgi?FUNC=ANONYMOUS_LOGIN\">Anonymous User</A> to login anonymously.";
$_LOGIN_NEW_USER_LINK        = "Select <A HREF=\"<<SCRIPT_PATH>>/web_access.cgi?FUNC=DISP_NEW_USER\">New User </A> to create a new account.";
$_LOGIN_INFO                 = "Enter your User ID and Password, then press Login to enter.";
$_LOGIN_COOKIE_INFO          = "Note: This product uses cookies to store user information while logged in.  All cookie information is deleted when the Browser is shut down.";

$_LOGOUT_TITLE               = "$_PRODUCT_NAME $LOGOUT";
$_LOGOUT_HEADING             = "Your session has expired.";
$_LOGOUT_INFORMATION         = "To ensure the security of your information, you should exit the browser now to clear the history.";
$_LOGOUT_TRAILER             = "Click here to login.";

$_FRAMESET_TITLE             = "$_PRODUCT_NAME";
$_FRAMESET_NO_FRAMES_WARNING = "Your browser does not support frames.  This product is best used with browsers that support frames.";
$_FRAMESET_NO_FRAMES_LINK    = "Please click here to continue.";

$_NEWUSER_TITLE              = "$_PRODUCT_NAME $_USER_REGISTRATION_HEADING";
$_NEWUSER_HEADING            = "Create New $USER";

$_USER_CFG_TITLE             = "$_PRODUCT_NAME $USER_CONFIGURATION";
$_USER_CFG_HEADING           = "Change Personal Information or Password";
$_USER_CFG_SUBHEADING_1      = "Personal Information";
$_USER_CFG_SUBHEADING_2      = "Change Password";
$_USER_CFG_INSTRUCTIONS      = "Make appropriate changes in the $_USER_CFG_SUBHEADING_1 section, and click $SAVE_CHANGES.  To change your password, enter your old and new passwords and click $CHANGE_PASSWORD.";

$_HOMEPAGE_HEADING           = "Information as of <<CURRENT_DATE_VAR>>";
$_HOMEPAGE_TITLE             = "$_PRODUCT_NAME";
$_HOMEPAGE_VIEW_HEADING      = "Most Recent $PROBLEM_PL";
$_HOMEPAGE_VIEW_TRAILER      = "Select <<VIEW_YOUR_PROBLEMS_LINK>> for a complete list.";

$_MENU_TITLE                 = "$_PRODUCT_NAME $MAIN_MENU";

$_SUBMIT_TITLE               = "$_PRODUCT_NAME $SUBMIT_PROBLEM";
$_SUBMIT_HEADING             = "Enter $PROBLEM Information";
$_SUBMIT_INSTRUCTIONS        = "Use <B>$SUBMIT_PROBLEM</B> to submit the $PROBLEM_LC to the Help Desk.";

$_PROB_INQUIRY_TITLE         = "$_PRODUCT_NAME $PROBLEM_INQUIRY";
$_PROB_INQUIRY_HEADING       = "Enter Search Criteria";
$_PROB_INQUIRY_SUBHEADING_1  = "Unique $PROBLEM_ID";
$_PROB_INQUIRY_SUBHEADING_2  = "Additional $PROBLEM Information";
$_PROB_INQUIRY_SUBHEADING_3  = "$PROBLEM Open Date Range";
$_PROB_INQUIRY_ORG_CHECKBOX  = "Include $PROBLEM_PL_LC from your $ORGANIZATION_LC";
$_PROB_INQUIRY_ALL_CHECKBOX  = "Include All $PROBLEM_PL_LC";

$_PROB_LIST_TITLE            = "$_PRODUCT_NAME $VIEW_PROBLEM";
$_PROB_LIST_HEADING          = "Search Results";
$_PROB_LIST_INSTRUCTIONS     = "Review the $PROBLEM_PL_LC listed below. For more details about a $PROBLEM_LC, click its $PROBLEM_ID link.";

$_PROB_DETAIL_TITLE          = "$_PRODUCT_NAME $VIEW_PROBLEM";
$_PROB_DETAIL_HEADING        = "$PROBLEM Detail";
$_PROB_DETAIL_INSTRUCTIONS_1 = "Use <B>$UPDATE_PROBLEM</B> to submit additional information about this $PROBLEM_LC.";
$_PROB_DETAIL_INSTRUCTIONS_2 = "<B>$VIEW_PROBLEM_HISTORY</B> lists a record of the events which occur as the Service Desk try to solve the $PROBLEM_LC.";
$_PROB_DETAIL_INSTRUCTIONS_3 = "<B>$VIEW_WORK_HISTORY</B> lists a record of the work which the Service Desk has performed in effort to solve the $PROBLEM_LC.";

$_UPDATE_TITLE               = "$_PRODUCT_NAME $UPDATE_PROBLEM";
$_UPDATE_HEADING             = "Enter $PROBLEM Information";
$_UPDATE_SUBHEADING          = "Additional $PROBLEM Description";
$_UPDATE_INSTRUCTIONS        = "To update a previously submitted $PROBLEM_LC, enter additional information about the $PROBLEM_LC in the field below.";

$_PROB_HIST_TITLE            = "$_PRODUCT_NAME $VIEW_PROBLEM_HISTORY";
$_PROB_HIST_HEADING          = "$PROBLEM_HISTORY Results";

$_WORK_HIST_TITLE            = "$_PRODUCT_NAME $VIEW_WORK_HISTORY";
$_WORK_HIST_HEADING          = "$WORK_HISTORY Results";

$_DIAG_HOME_TITLE            = "$_PRODCUT_NAME $SOLVE_PROBLEM";
$_DIAG_HOME_HEADING          = "Choose a Diagnostic Tool";

$_DIAG_INPUT_TITLE           = "$_PRODCUT_NAME $SOLVE_PROBLEM";
$_DIAG_INPUT_INSTRUCTIONS    = "Use <B>$FIND_SOLUTION</B> to return an ordered list of $SOLUTION_PL_LC.";

$_NO_RIGHTS_HOME_TITLE       = "$_PRODCUT_NAME $NO_RIGHTS";
$_NO_RIGHTS_HOME_HEADING     = "You have no rights to diagnose, submit, view or update problems.";
$_NO_RIGHTS_INSTRUCTIONS     = "You have not been granted rights to Diagnose, Submit, View or Update $PROBLEM_PL_LC.  Contact the System Administrator, and request the proper rights be granted.";

$_SOL_LIST_TITLE             = "$_PRODUCT_NAME $DIAGNOSTIC_RESULTS";
$_SOL_LIST_HEADING           = "$DIAGNOSTIC_RESULTS";
$_SOL_LIST_SUBHEADING        = "$SOLUTION $DESCRIPTION";

$_SOL_DETAIL_TITLE           = "$_PRODUCT_NAME $SOLUTION";
$_SOL_DETAIL_HEADING         = "$SOLUTION Details";
$_NODE_INFORMATION_HEADING   = "Node Information";
$_SOLVED_NODE_INSTRUCTIONS   = "This $HYPERNODE_LC has a $SOLUTION_LC.  Perform the $ACTION_LC, then the $SOLUTION_LC.";

$_HYPERNODE_ENTRY_TITLE      = "$_PRODUCT_NAME $DIAGNOSTIC_RESULTS";
$_HYPERNODE_ENTRY_HEADING    = "Home Page Links";
$_HYPERNODE_ENTRY_INSTRUCTIONS = "Review the descriptions listed below. Click on the link that best describes your $PROBLEM_LC.";

$_HYPERNODE_TITLE            = "$_PRODUCT_NAME $DIAGNOSTIC_RESULTS";
$_HYPERNODE_HEADING_1        = "$QUESTION";
$_HYPERNODE_HEADING_2        = "$RESPONSE_PL";
$_HYPERNODE_INSTRUCTIONS     = "Perform the $ACTION_LC, if any, in the $ACTION field.  Then, click the response which best answers the question.";

$_REMINDER_TITLE             = "$_PRODUCT_NAME Send $USER_ID and $PASSWORD";
$_REMINDER_HEADING           = "Enter $EMAIL_ADDRESS";
$_REMINDER_INSTRUCTIONS      = "Enter your $EMAIL_ADDRESS, and your $USER_ID and $PASSWORD will be sent to you.";

$_SYSTEM_HEADING             = "Classify the $PROBLEM";
$_DESCRIPTION_HEADING        = "Type the $DESCRIPTION";
$_EMAIL_HEADING              = "Enter your $EMAIL_ADDRESS";

$_ADAPTIVE_LEARNING_EXPLANATION
    = "Use this diagnostic tool for a text search on a problem description you enter.";
$_COMMON_PROBLEMS_EXPLANATION
    = "Use this diagnostic tool to find for a solution from a list of commonly found problems.";
$_HOT_NEWS_EXPLANATION
    = "If you think the problem is external to your situation, look here for current issues.";
$_ERROR_MESSAGES_EXPLANATION
    = "Use this diagnostic tool if you have a particular error message and need to know what to do.";
$_HYPER_TREES_EXPLANATION
    = "This diagnostic tool helps you diagnose a problem with a series of simple questions.";

############################################################################
#
# HTML Code
#
############################################################################

if($HTML_TIMEOUT > 0) {	# Only set if greater than 0
	$_REFRESH_TAG
	    = "<META HTTP-EQUIV=\"Refresh\" CONTENT=\"$HTML_TIMEOUT; URL=<<SCRIPT_PATH>>/web_access.cgi?FUNC=LOGOUT&TYPE=1\" >";
}
else {
	$_REFRESH_TAG = '';
}

$_LOGO_IMAGE_TAG
    = "<IMG BORDER=0 SRC=\"$HTML_PATH/$IMAGE_PATH/logo.gif\" ALT=\"$COMPANY_LOGO\">";

$_UPDATE_PROBLEM_BUTTON_TAG
    = "<INPUT TYPE=\"SUBMIT\" NAME=\"SUBMIT\" VALUE=\"$UPDATE_PROBLEM\">";

$_VIEW_PROBLEM_HISTORY_BUTTON_TAG
    = "<INPUT TYPE=\"SUBMIT\" NAME=\"SUBMIT\" VALUE=\"$VIEW_PROBLEM_HISTORY\">";

$_VIEW_WORK_HISTORY_BUTTON_TAG
    = "<INPUT TYPE=\"SUBMIT\" NAME=\"SUBMIT\" VALUE=\"$VIEW_WORK_HISTORY\">";

$_INCLUDE_ORG_CHECKBOX_TAG = <<EOT;
<INPUT TYPE="CHECKBOX" NAME="INCLUDE_ORG" <<INCLUDE_ORG_VAR>>>$_PROB_INQUIRY_ORG_CHECKBOX
EOT

$_INCLUDE_ALL_CHECKBOX_TAG = <<EOT;
<INPUT TYPE="CHECKBOX" NAME="INCLUDE_ORG" <<INCLUDE_ORG_VAR>>>$_PROB_INQUIRY_ALL_CHECKBOX
EOT

$_NODE_INFORMATION_TAG = <<EOT;
<P>
$_SOLVED_NODE_INSTRUCTIONS
</P>

<P>
<TABLE BORDER="1" CELLSPACING="0" WIDTH="100%" BGCOLOR="#99CCCC">
<TR><TD ALIGN="CENTER">
<FONT SIZE=4><STRONG>$_NODE_INFORMATION_HEADING</STRONG></FONT>
</TD></TR></TABLE>
<BR>

<TABLE BORDER=0>
  <TR ALIGN=LEFT VALIGN=TOP>
    <TD><B>$ACTION$_STANDARD_SEPARATOR</B></TD>
	<TD><<ACTION_VAR>></TD>
  </TR>
</TABLE>
EOT

$_EMAIL_BOX_TAG = <<EOT;
<P><FONT COLOR="BLUE"><B>$_EMAIL_HEADING</B></FONT>
<TABLE BORDER="0">
        <TR><TD><B>$EMAIL_ADDRESS$_STANDARD_SEPARATOR$_MANDATORY_CHARACTER</B></TD>
        <TD><INPUT NAME="EMAIL_ADDRESS" SIZE="25" VALUE="<<EMAIL_ADDRESS_VAR>>"></TD>
        </TR>
</TABLE>
EOT

$_MEDIAWINDOW_TAG = <<EOT;
<SCRIPT LANGUAGE="JavaScript">
<!-- Hide from old browsers
function mediawindow( url, height, width )
{
  var features = "top=10,left=10,height="+height+",width="+width+",status=no,scrollbars=yes,resizable=1";
  window.open( url,"_blank",features )
}
// Stop hiding from old browsers -->
</SCRIPT>
EOT


